# jable (jepsen sable)

Test suite for [Sable](https://github.com/Libera-Chat/sable)'s networking layer
using the [Jepsen](https://github.com/jepsen-io/jepsen/) framework.

How to run:

1. Compile Sable somewhere on your system
2. setup VMs [suitable for Jepsen](https://github.com/jepsen-io/jepsen#vms-real-hardware-etc)
3. `git clone https://git.tf/val/jable/ && cd jable`
4. generate test TLS certs in `resources/`: `./gen_conf.sh`
5. Run tests: `lein run test --sable-bin /home/dev-sable/sable/target/debug/`
```
